Check inventory
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace/products/check-inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"products": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123
}
],
"warehouse_id": [
"<string>"
]
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace/products/check-inventory"
payload = {
"products": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123
}
],
"warehouse_id": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
products: [{product_id: '<string>', variant_id: '<string>', quantity: 123}],
warehouse_id: ['<string>']
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace/products/check-inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"inventory_status": "fulfilled",
"total_fulfilled_products": 123,
"total_fulfilled_warehouses": 123,
"inventory": {
"products": [
{
"product_id": "<string>",
"variant_id": "<string>",
"allow_backorder": true,
"track_inventory": true,
"requested_quantity": 123,
"stock_quantity": 123,
"allowed_quantity": 123,
"inventory_status": "fulfilled",
"warehouses": [
{
"warehouse_id": "<string>",
"warehouse_name": "<string>",
"stock_quantity": 123,
"inventory_status": "fulfilled"
}
]
}
],
"warehouses": [
{
"warehouse_id": "<string>",
"warehouse_name": "<string>",
"inventory_status": "fulfilled",
"products": [
{
"product_id": "<string>",
"variant_id": "<string>",
"stock_quantity": 123,
"allowed_quantity": 123,
"inventory_status": "fulfilled"
}
]
}
]
}
}
}Marketplace Catalog
Check inventory
Retrieve products and variants inventory as per product ids and variant ids provided. To be used in S2S API call only.
POST
/
catalog
/
marketplace
/
products
/
check-inventory
Check inventory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I